/**
 * Post-remove script to clean up Webtop's webapp after uninstallation.
 *
 * Note on exception handling:
 * All exceptions are caught and logged in this main function. Other functions
 * shouldn't be catching exceptions so that this function does not carry on
 * with the post-remove actions if an error occurs (which otherwise could
 * mess things up).
 */
function postRemove()
{
	log( 2, "Starting webtopwar postRemove()..." );

	try
	{
		// Remove webtop dir if the Webtop webapp is unpacked.
		removeFile( getNchome() + "/guifoundation/webapps/webtop", true );
	}
	catch ( e )
	{
		log( 0, e );
		log( 0, "webtopwar postRemove() failed to complete." );

		return;
	}

	log( 3, "webtopwar postRemove() completed successfully." );
}

